<bugID>486825<Summary>Month-Year format should be localizable</Summary><Description>Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; ja-JP-mac; rv:1.9.2a1pre) Gecko/20090403 Minefield/3.6a1pre

Steps to reproduce:
1. Use localized Firefox.
2. Open History sidebar.

Actual result:
Month-Year format is strange for some locales.

Expected result:
Month-Year format should be localized correctly.
For example, "2008&#24180;12&#26376;" is appropriate in Japanese, not "12&#26376; 2008"

It's hard-coded at http://hg.mozilla.org/mozilla-central/rev/5413fb8a2a43#l1.167
but it should be localizable.</Description></bugID>